WineHQ

The Legend of Heroes: Trails in the Sky the 3rd

No Screenshot

Submit Screenshot

Good Old Games release.

Application Details:

Version: GoG
License: Retail
URL: https://www.gog.com/game/legen...
Votes: 0
Latest Rating: Gold
Latest Wine Version Tested: 2.7

Maintainers: About Maintainership

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works

all, video, sound and gamepad.

What does not

nothing

Workarounds

What was not tested

nothing

Hardware tested

Graphics:

  • GPU:
  • Driver:

Additional Comments

for videos cinematics i installed lavfilters, found in: https://github.com/Nevcairiel/LAVFilters/releases

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
CurrentDebian GNU/Linux 9.x "Stretch" x86_64May 05 20172.7Yes Yes GoldCarlos Alberto 

Known Bugs

Bug # Description Status Resolution Other apps affected

Show all bugs

Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

Another solution for videos not working
by Andrés Angelini on Saturday May 19th 2018, 0:29
Hi. I just want to point out another possible solution to get the videos working properly since LAVFilters didn't seem to help in my case.

Game file version: 2017.08.27 (from GOG)
Version of WINE: 2.13-staging
Winetricks:
- amstream
- devenum
- quartz
- xvid
- ffdshow
Which should install the following DLLs:
- amstream (native) --> from amstream.
- devenum (native, builtin) --> from devenum.
- mfc42 (native) --> from xvid.
- mfc42u (native) --> from xvid.
- quartz (native) --> from quartz.

You need amstream, mfc42 and mfc42u (from xvid) and ffdshow to be able to play both the Falcom logo and the intro video. Then, you need quartz and devenum to play the other four at the end of the game (ED6_DT48.dat, ED6_DT49.dat, ED6_DT50.dat and ED6_DT51.dat). However, I couldn't get them to work with WINE 3.8-staging or any other recent version, but after reading a post on the GOG forums (www.gog.com/forum/the_legend_of_heroes_trails_in_the_sky_series/trails_in_cold_steel_under_wine/post11), I tried WINE 2.13-staging and it worked perfectly. Haven't tested the game with any older, though.

Hope it helps anybody!
Back